import { __name } from "./chunk-AGHRB4JF.js";
var ImperativeState = class {
	constructor(e) {
		this.init = e, this.records = this.init();
	}
	static #e = __name(this, "ImperativeState");
	reset() {
		this.records = this.init();
	}
};
export { ImperativeState };
